Handler class for the <project> XML element This class handles all elements under the <project> element.

author | Andreas Aderhold
copyright | (c) 2001,2002 THYRELL. All rights reserved
version | $Id: 0e2ffd22c0fce23560c0ee585f0b2e1c07eb3598 $
access | public
package | phing.parser

### Methods

## Constructs a new ProjectHandler

    __construct(object $parser, object $parentHandler, object $configurator)

The constructor must be called by all derived classes.

access | public

### Parameters

#### $parser

`object`

the ExpatParser object

#### $parentHandler

`object`

the parent handler that invoked this handler

#### $configurator

`object`

the ProjectConfigurator object

## canonicalName()

    canonicalName($name)

Static

### Parameters

#### $name

## Invoked by occurance of #PCDATA.

    characters(string $data)

Inherited

exception | ExpatParserException if there is no CDATA but method was called
access | public
inherited_from | \AbstractHandler::characters()

### Parameters

#### $data

`string`

the name of the XML element

## Gets invoked when a XML element ends.

    endElement(string $name)

Inherited

Can be overloaded by the child class. But should not. It hands over control to the parentHandler of this.

inherited_from | \AbstractHandler::endElement()

### Parameters

#### $name

`string`

the name of the XML element

## Executes initialization actions required to setup the project.

    init(string $tag, array $attrs)

Usually this method handles the attributes of a tag.

access | public

### Parameters

#### $tag

`string`

the tag that comes in

#### $attrs

`array`

attributes the tag carries

### Exceptions

`\ExpatParseException` | if attributes are incomplete or invalid

## Handles start elements within the <project> tag by creating and calling the required handlers for the detected element.

    startElement(string $name, array $attrs)

Must be overloaded by the child class. Throws an ExpatParseException if there is no handler registered for an element.

access | public

### Parameters

#### $name

`string`

the tag that comes in

#### $attrs

`array`

attributes the tag carries

### Exceptions

`\ExpatParseException` | if a unxepected element occurs

## Gets invoked when element closes method.

    finished()

Inherited

inherited_from | \AbstractHandler::finished()

### Properties

##

    $parentHandler

Inherited

inherited_from | \AbstractHandler::$$parentHandler

##

    $parser

Inherited

inherited_from | \AbstractHandler::$$parser

##

    $configurator : \ProjectConfigurator